<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
         $sql = <<<'SQL'
            CREATE TABLE temp_live_readings (
                id					BIGINT GENERATED always AS IDENTITY PRIMARY KEY,
                plant_id            BIGINT NOT NULL,
                mfm_meter_id        BIGINT NOT NULL,

                register_data		TEXT NOT NULL,

                created_at			TIMESTAMP NOT NULL DEFAULT NOW(),
                updated_at			TIMESTAMP NOT NULL DEFAULT NOW(),
                deleted_at			TIMESTAMP,

                created_by			TEXT NULL,

                UNIQUE (created_at, mfm_meter_id),
                FOREIGN KEY (plant_id)          REFERENCES  plants (id),
                FOREIGN KEY (mfm_meter_id)      REFERENCES  mfm_meters (id)

            );
        SQL;

        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('temp_live_readings');
    }
};
